summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2016-11-18 12:27:33 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2016-11-18 12:27:33 +0100
commit5870c6f9dcafb507e07dfbcc3294a778b8de496d (patch)
treebd64d6b00c125320100b085bc2f8f7b58becd04f
parent9005a4b87f676d2805ccc65830403e9d798408cb (diff)
downloadimpressive-display-5870c6f9dcafb507e07dfbcc3294a778b8de496d.tar.gz
impressive-display-5870c6f9dcafb507e07dfbcc3294a778b8de496d.tar.bz2
impressive-display-5870c6f9dcafb507e07dfbcc3294a778b8de496d.zip
Move trap command below cleanup() function.
-rwxr-xr-xbin/impressive-display4
1 files changed, 1 insertions, 3 deletions
diff --git a/bin/impressive-display b/bin/impressive-display
index 977c4f3..965fc6c 100755
--- a/bin/impressive-display
+++ b/bin/impressive-display
@@ -83,9 +83,6 @@ IMPRESSIVE_OPTIONS="--transition None"
# write some debugging output to stdout when downloading a remote PDF
DEBUG_DOWNLOADS=""
-
-trap "cleanup" SIGINT SIGTERM ERR EXIT
-
if type -p xrandr 1>/dev/null; then
currentOutput=`echo "$(xrandr)" | grep -w 'connected' | sed -r -e 's/connected.*//' | head -n 1`
fi
@@ -227,6 +224,7 @@ function cleanup {
done
}
+trap "cleanup" SIGINT SIGTERM ERR EXIT
function pdf_is_portrait {